> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetorecord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get chapters

> Retrieves the auto generated chapters of a recording. The list is empty until chapters have been generated.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/recordings.yaml GET /recordings/{id}/chapters
openapi: 3.0.3
info:
  title: NeetoRecord Recordings APIs
  version: 2.0.0
servers:
  - description: NeetoRecord APIs
    url: https://{your-subdomain}.neetorecord.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Recordings
    description: APIs to retrieve and manage recordings in your workspace.
paths:
  /recordings/{id}/chapters:
    get:
      tags:
        - Recordings
      summary: Get chapters
      description: >-
        Retrieves the auto generated chapters of a recording. The list is empty
        until chapters have been generated.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
        - $ref: '#/components/parameters/recording_id_param'
      responses:
        '200':
          description: Successfully retrieved the chapters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/chapters_response'
              example:
                recording_id: x9y8z7w6v5u4t3s2
                chapters:
                  - title: Intro
                    start: 0
                  - title: Folders view
                    start: 48
        '404':
          $ref: '#/components/responses/recording_not_found'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        API key. Refer to [Authentication](/getting-started/authentication) for
        more information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: Must be `application/json`.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
    recording_id_param:
      in: path
      name: id
      required: true
      description: >-
        The recording's `id` (UUID) or its `public_link_id` (the short code in
        the watch URL). Both are accepted.
      schema:
        type: string
  schemas:
    chapters_response:
      type: object
      properties:
        recording_id:
          type: string
          description: Public link identifier of the recording.
        chapters:
          type: array
          items:
            $ref: '#/components/schemas/chapter'
          description: Chapters of the recording. Empty until chapters have been generated.
    chapter:
      type: object
      properties:
        title:
          type: string
          description: Title of the chapter.
        start:
          type: number
          description: >-
            Start time of the chapter, in seconds from the beginning of the
            recording.
    error:
      type: object
      properties:
        error:
          type: string
          description: A human readable error message.
  responses:
    recording_not_found:
      description: The recording does not exist in this workspace.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: Recording does not exist.

````